%define momorel 3

Summary: A DNS (Domain Name System) server.
Name: bind
Version: 9.2.3
Release: %{momorel}m
License: BSD
Group: System Environment/Daemons
Source0: ftp://ftp.isc.org/isc/bind9/%{version}/bind-%{version}.tar.gz
Source1: bind-manpages.tar.bz2
Source2: named.sysconfig
Source3: named.init
Source4: named.logrotate
Source5: keygen.c
Source6: named.conf
Source7: rndc.conf
Patch: bind-9.2.1-varrun.patch
Patch1: bind-9.2.1-key.patch
Patch10: bind.glibc222.time.patch
Url: http://www.isc.org/products/BIND/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: openssl-devel
BuildPreReq: glibc-devel >= 2.2.5-2k
Prereq: chkconfig, shadow-utils, textutils, fileutils, sed
Requires: openssl
Requires: bind-utils = %{version}-%{release} initscripts
Obsoletes: caching-nameserver
NoSource: 0

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named),
which resolves host names to IP addresses; a resolver library
(routines for applications to use when interfacing with DNS); and
tools for verifying that the DNS server is operating properly.

%package utils
Summary: Utilities for querying DNS name servers.
Group: Applications/System

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name System) name servers to find out information about Internet
hosts. These tools will provide you with the IP addresses for given
host names, as well as other information about registered domains and
network addresses.

You should install bind-utils if you need to get information from DNS name
servers.

%package devel
Summary: Include files and libraries needed for bind DNS development.
Group: Development/Libraries
Requires: bind = %{version}

%description devel
The bind-devel package contains all the include files and the library
required for DNS (Domain Name System) development for BIND versions
9.x.x.

%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b .varrun
%patch1 -p1 -b .key
%patch10 -p1 -b .glibc222.time
# We don't want backups in the doc files
find doc -name "*.fixes" |xargs rm -f

rm -f compat/include/sys/cdefs.h

%build
libtoolize -c -f
aclocal
autoconf
%if %{_ipv6}
%configure --localstatedir=/var --enable-ipv6=no --with-libtool --with-openssl=/usr --enable-threads
%else
%configure --localstatedir=/var --with-libtool --with-openssl=/usr --enable-threads
%endif
make 

# translate perl script 
find ./ -name "*.pl" | xargs perl -p -i -e "s|/usr/local/bin/|/usr/bin/|g"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}/etc/logrotate.d
mkdir -p %{buildroot}/usr/{bin,lib,sbin,include}
mkdir -p %{buildroot}/var/named
mkdir -p %{buildroot}%{_mandir}/{man1,man3,man5,man8}
mkdir -p %{buildroot}/var/run/named

%makeinstall
install -c -m 640 bin/rndc/rndc.conf %{buildroot}/etc
install -c -m 755 contrib/named-bootconf/named-bootconf.sh %{buildroot}/usr/sbin/named-bootconf
install -c -m 755 %SOURCE3 %{buildroot}%{_initscriptdir}/named
install -c -m 644 %SOURCE4 %{buildroot}/etc/logrotate.d/named
# touch rndc.key
touch $RPM_BUILD_ROOT/etc/rndc.key
# new key generator (uses /dev/urandom)
gcc %{optflags} -o %{buildroot}/usr/sbin/dns-keygen %{SOURCE5}
# overwrite man pages
cd %{buildroot}%{_mandir}
tar xjf %{SOURCE1}
# named sysconfig
mkdir -p %{buildroot}/etc/sysconfig
cp %{SOURCE2} %{buildroot}/etc/sysconfig/named

%if 0
# nslookup is deprecated and may be removed from future releases.
# install -c -m 755 bin/dig/nslookup %{buildroot}/usr/bin/nslookup
install -c -m 644 doc/man/bin/rndc.conf.5 %{buildroot}%{_mandir}/man5

install -c -m 644 doc/man/bin/named.8 %{buildroot}%{_mandir}/man8
install -c -m 644 doc/man/bin/rndc.8 %{buildroot}%{_mandir}/man8
install -c -m 644 doc/man/bin/rndc.conf.5 %{buildroot}%{_mandir}/man5
install -c -m 644 doc/man/bin/named-checkconf.1 %{buildroot}%{_mandir}/man1
install -c -m 644 doc/man/bin/named-checkzone.1 %{buildroot}%{_mandir}/man1
install -c -m 644 doc/man/bin/dig.1 %{buildroot}%{_mandir}/man1
install -c -m 644 doc/man/bin/host.1 %{buildroot}%{_mandir}/man1
install -c -m 644 doc/man/bin/nsupdate.8 %{buildroot}%{_mandir}/man8
install -c -m 644 doc/man/bin/lwresd.8 %{buildroot}%{_mandir}/man8
 
install -c -m 644 doc/man/lwres/*.3 %{buildroot}%{_mandir}/man3
install -c -m 644 doc/man/dnssec/*.8 %{buildroot}%{_mandir}/man8
# don't depend on perl.
chmod -x contrib/idn/mdnkit/util/generate_normalize_data.pl
%endif

# sample config
cp %{SOURCE6} %{buildroot}/etc/named.conf
cp %{SOURCE7} %{buildroot}/etc/rndc.conf

%pre
/usr/sbin/groupadd -g 25 named 2>/dev/null || :
/usr/sbin/useradd -c "Named" -u 25 -g 25 \
	-s /bin/false -r -d /var/named named 2>/dev/null || :

%post
/sbin/chkconfig --add named
if [ -f /etc/named.boot -a ! -f /etc/named.conf ]; then
  if [ -x /usr/doc/contrib/named-bootconf/named-bootconf.sh ]; then
    cat /etc/named.boot | /usr/sbin/named-bootconf > /etc/named.conf
    chmod 644 /etc/named.conf
  fi
fi
if [ ! -e /etc/rndc.conf.rpmnew ]; then
  # sed -e "s/@KEY@/`/usr/sbin/dns-keygen`/" /etc/rndc.conf >/etc/rndc.conf.tmp
  export KEY=`/usr/sbin/dns-keygen`
  sed -e "s/@KEY@/$KEY/" /etc/rndc.conf >/etc/rndc.conf.tmp
  mv -f /etc/rndc.conf.tmp /etc/rndc.conf
fi
if [ ! -e /etc/rndc.key.rpmnew ]; then
  tail -n 4 /etc/rndc.conf >/etc/rndc.key
fi
if [ ! -e /etc/named.conf.rpmnew ]; then
  sed -e "s/@KEY@/$KEY/" /etc/named.conf >/etc/named.conf.tmp
  mv -f /etc/named.conf.tmp /etc/named.conf
fi

chmod 0640 /etc/rndc.conf /etc/rndc.key
chown root:named /etc/rndc.conf /etc/rndc.key
exit 0

%preun
if [ $1 = 0 ]; then
#   /usr/sbin/userdel named 2>/dev/null || :
#   /usr/sbin/groupdel named 2>/dev/null || :
   /sbin/chkconfig --del named
   if [ -f /var/lock/subsys/named ]; then
	%{_initscriptdir}/named stop
   fi
fi
exit 0

%postun
if [ "$1" -ge "1" ]; then
	%{_initscriptdir}/named condrestart >/dev/null 2>&1
fi	

# %triggerpostun -- bind < 8.2.2_P5-15
%triggerpostun -- bind < %{version}-%{release}
/sbin/chkconfig --add named

%clean
rm -rf %{buildroot} ${RPM_BUILD_DIR}/%{name}-%{version}

%post utils -p /sbin/ldconfig

%postun utils -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES README
%doc doc/{arm,draft,rfc,misc}
%doc contrib COPYRIGHT FAQ
%config(noreplace) /etc/logrotate.d/named
%config %{_initscriptdir}/named
%config(noreplace) /etc/sysconfig/named
%config(noreplace) %attr(0600,named,named) /etc/rndc.conf
%config(noreplace) %attr(0600,named,named) /etc/rndc.key
%config(noreplace) %attr(0600,named,named) /etc/named.conf

%{_bindir}/nsupdate
%{_sbindir}/dnssec*
%{_sbindir}/lwresd
%{_sbindir}/named
%{_sbindir}/named-bootconf
%{_sbindir}/named-check*
%{_sbindir}/rndc*
%{_sbindir}/dns-keygen
%{_libdir}/libisccc.so.*
%{_libdir}/libisccfg.so.*
%{_libdir}/liblwres.so.*
%{_mandir}/man8/nsupdate.8*
%{_mandir}/man8/dnssec*.8*
%{_mandir}/man8/lwresd.8*
%{_mandir}/man8/named.8*
%{_mandir}/man5/named.conf.5*
%{_mandir}/man8/named-checkconf.8*
%{_mandir}/man8/named-checkzone.8*
%{_mandir}/man8/rndc.8*
%{_mandir}/man5/rndc.conf.5*
%{_mandir}/man8/rndc-confgen.8*

%attr(-,named,named) %dir /var/named
%attr(-,named,named) %dir /var/run/named
     
%files utils
%defattr(-,root,root)
%{_bindir}/dig
%{_bindir}/host
%{_bindir}/nslookup
%{_libdir}/libdns.so.*
%{_libdir}/libisc.so.*
%{_mandir}/man1/host.1*
%{_mandir}/man1/dig.1*
%{_mandir}/man5/resolver.5*
%{_mandir}/man5/resolv.conf.5*
%{_mandir}/man8/nslookup.8*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/*
%{_mandir}/man3/*.3*
%{_bindir}/isc-config.sh


%changelog
* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2.3-3m)
- revised spec for enabling rpm 4.2.

* Sun Oct 26 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (9.2.3-2m)
- move *.so to bind-devel
- add REMOVEME.bind-devel

* Sat Oct 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.2.3-1m)
- update to 9.2.3

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (9.2.2-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Mar  5 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (9.2.2-2m)
  rebuild against openssl 0.9.7a

* Thu Mar  4 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2.2-1m)
- upgrade 9.2.2

* Sat Oct 26 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (9.2.1-8m)
- use gcc instead of gcc_2_95_3

* Fri Sep 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (9.2.1-7m)
- remove Requires: /bin/usleep
- add Requires: initscripts

* Sat Aug 17 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (9.2.1-6m)
- fix resolver buffer overflow (add bind-9.2.1-overflow.patch)
  Ref. http://www.kb.cert.org/vuls/id/803539
       http://rhn.redhat.com/errata/RHSA-2002-133.html

* Sun Jul 20 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (9.2.1-5m)
- Fix a logrotate bug reported by Shunji Tanaka.

* Fri Jun  7 2002 Masahiro Takahata <takahata@kondara.org>
- (9.2.1-4k)
- modified configure option

* Fri Jun  7 2002 Masahiro Takahata <takahata@kondara.org>
- (9.2.1-2k)
- upgrade to bind-9.2.1

* Thu May  9 2002 Toru Hoshina <t@kondara.org>
- (9.1.3-10k)
- rebuild against glibc 2.2.5, sumaso!

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (9.1.3-8k)
- add rndc.key

* Sun Nov  4 2001 Toru Hoshina <t@kondara.org>
- (9.1.3-6k)
- rebuild against new environment. because gcc 2.95.3 doesn't recognize
  -fno-merge-constants, use gcc_2_95_3 instead of gcc -V 2.95.3.

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org
- (9.1.3-4k)
- avoid conflict with dhcp 3.0, /usr/lib/libomapi.* was removed.

* Wed Jul  4 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.3-2k)
- update to bind 9.1.3 maintenance release.
- remove bind-9.1.0-ttl.patch (already fixed)

* Fri May 25 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.2-8k)
- fixed %pre script
- fixed named.init  (status named)
-  thanks to SEKINE Tatsuo.

* Sat May 19 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.2-6k)
- merge rawhide.
- fix %postun  named "cond-restart" to "condrestart"
- fix using rndc that obsoletes ndc 
- change pid file /var/run/named/pid to /var/run/named/named.pid and
-   /var/run/lwresd/pid to /var/run/named/lwresd.pid
- add rndc.conf and named.conf sample for "rndc"
- obsolete caching-nameserver

* Tue May  8 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.2-4k)
- add "textutils, fileutils" to Prereq: 

* Sun May  6 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.2-2k)
- update to bind 9.1.2 (maintenance release)

* Wed Apr 25 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.1-8k)
- move files /usr/lib/*.so* to bind-utils, and /usr/lib*.a to bind-devel
- bind-devel requires bind, bind requires bind-utils
- fix %postun  named "condrestart" to "cond-restart"
- fix %preun  script error at rpm -e bind
- comment out userdel/groupdel

* Mon Apr 23 2001 Toru Hoshina <t@kondara.org>
- (9.1.1-6k)
- force use gcc-2.95.3
- cancel to down optimize level (9.1.1-4k)

* Mon Apr 23 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.1-4k)
- Down optimize level (-O6 to -O2) against Mary.
- append --with-libtool --enable-threads

* Sun Apr 22 2001 Motonobu Ichimura <famao@kondara.org>
- (9.1.1-2k)
- up to 9.1.1

* Wed Apr 18 2001 Motonobu Ichimura <famao@kondara.org>
- (9.1.0-14k)
- brush-up spec file
- now all man pages are include.
- move isc-config.sh from utils to devel package
- added --with-openssl option to use system's one

* Tue Apr 17 2001 HOSONO Hidetomo <h@kondara.org>
- (9.1.0-12k)
- add a configure script option: --localstatedir=/var
- add bind.named.pid.patch
- make directories owned named.named: /var/run/{named,lwresd}

* Sat Apr 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (9.1.0-10k)
- add shadow-utils to PreReq tag

* Fri Apr 13 2001 Shingo Akagaki <dora@kondara.org>
- /etc/rc.d/init.d -> /etc/init.d

* Mon Mar 26 2001 Toru Hoshina <toru@df-usa.com>
- (9.1.0-7k)
- rebuild against glibc-2.2.2 and add bind.glibc222.time.patch

* Thu Mar 22 2001 Motonobu Ichimura <famao@kondara.org>
- (9.1.0-5k)
- translate /usr/local/bin/perl -> /usr/bin/perl
- yes. another bug is needed to be fixed. (#867)

* Sun Feb 11 2001 Kusunoki Masanori <nori@kondara.org>
- (9.1.0-3k)
- up to 9.1.0

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (9.00-7k)
- rebuild againt rpm-3.0.5-39k

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Tue Sep 26 2000 KUSUNOKI Masanori <nori@kondara.org>
- Version up to 9.0.0.

* Fri Aug 11 2000 AYUHANA Tomonori <l@kondara.org>
- (9.0.0rc1-3k)
- add --enable-ipv6 at %configure
- include nslookup

* Tue Jul 29 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (9.0.0rc1-2k)
- fix version suffix for Kondara RPM Guidance

* Tue Jul 18 2000 KUSUNOKI Masanori <nori@kondara.org>
- updated to 9.0.0rc1

* Sun Jul 16 2000 AYUHANA Tomonori <l@kondara.org>
- (8.2.2pl5-19k)
- change dir /etc/init.d/named -> /etc/rc.d/init.d/named
- fix not generate named.conf (named-bootconf.pl is missing)
- change %triggerpostun

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Fri Jun 30 2000 Trond Eivind Glomsr?<teg@redhat.com>
- fix the init script

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- make libbind.a and nslookup.help readable again by setting INSTALL_LIB to ""

* Mon Jun 26 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up the initscript (Bug #13033)
- Fix build with current glibc (Bug #12755)
- /etc/rc.d/init.d -> /etc/init.d
- use %%{_mandir} rather than /usr/share/man

* Mon Jun 19 2000 Bill Nottingham <notting@redhat.com>
- fix conflict with man-pages
- remove compatibilty chkconfig links
- initscript munging

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify logrotate setup to use PID file
- temporarily disable optimization by unsetting %{optflags} at build-time
- actually bump the release this time

* Sat Jun 10 2000 Takaaaki Tabuchi <tab@kondara.org>
- (8.2.2pl5-2k)
- rewrite spec file by based on Kondara's spec file
- version change P5 to pl5

* Sat Jun 10 2000 Takaaaki Tabuchi <tab@kondara.org>
- merge rawhide 8.2.2_P5-11 (patch{5,6,7})
- make /var/named owned by named.named
- gziped man
- add resolv.conf.5*

* Thu Jun  8 2000 AYUHANA Tomonori <l@kondara.org>
- /var/named - nobody:nobody

* Tue Jun  6 2000 AYUHANA Tomonori <l@kondara.org>
- change running named by root:root -> nobody:nobody

* Sun Jun  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHS compliance

* Mon Apr 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- clean up restart patch

* Mon Apr 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- provide /var/named (fix for bugs #9847, #10205)
- preserve args when restarted via ndc(8) (bug #10227)
- make resolv.conf(5) a link to resolver(5) (bug #10245)
- fix SYSTYPE bug in all makefiles
- move creation of named user from %%post into %%pre

* Mon Feb 28 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix TTL (patch from ISC, Bug #9820)

* Wed Feb 16 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- fix typo in spec (it's %post, without a leading blank) introduced in -6
- change SYSTYPE to linux

* Sat Feb 11 2000 Bill Nottingham <notting@redhat.com>
- pick a standard < 100 uid/gid for named

* Thu Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Pass named a '-u named' parameter by default, and add/remove user.

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix host mx bug (Bug #9021)

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
- man pages are compressed

* Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- It's /usr/bin/killall, not /usr/sbin/killall (Bug #8063)

* Mon Jan 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up location of named-bootconf.pl and make it executable
  (Bug #8028)
- bind-devel requires bind

* Mon Nov 15 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to 8.2.2-P5

* Wed Nov 10 1999 Bill Nottingham <notting@redhat.com>
- update to 8.2.2-P3

* Tue Oct 12 1999 Cristian Gafton <gafton@redhat.com>
- add patch to stop a cache only server from complaining about lame servers
  on every request.

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- use real stop and start in named.init for restart, not ndc restart, it has
  problems when named has changed during a package update... (# 4890)

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Jul 26 1999 Bill Nottingham <notting@redhat.com>
- fix installed chkconfig links to match init file

* Sat Jul  3 1999 Jeff Johnson <jbj@redhat.com>
- conflict with new (in man-1.24) man pages (#3876,#3877).

* Tue Jun 29 1999 Bill Nottingham <notting@redhat.com>
- fix named.logrotate (wrong %SOURCE)

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 8.2.1.
- add named.logrotate (#3571).
- hack around egcs-1.1.2 -m486 bug (#3413, #3485).
- vet file list.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- nslookup fixes (#2463).
- missing files (#3152).

* Sat May  1 1999 Stepan Kasal <kasal@math.cas.cz>
- nslookup patched:
  to count numRecords properly
  to fix subsequent calls to ls -d
  to parse "view" and "finger" commands properly
  the view hack updated for bind-8 (using sed)

* Wed Mar 31 1999 Bill Nottingham <notting@redhat.com>
- add ISC patch
- add quick hack to make host not crash
- add more docs

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add probing information in the init file to keep linuxconf happy
- dont strip libbind

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- removed 'done' output at named shutdown.

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- version 8.2

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to use the __FDS_BITS macro
- build for glibc 2.1

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- change named.restart to /usr/sbin/ndc restart

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- install man pages correctly.
- change K10named to K45named.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- don't start if /etc/named.conf doesn't exist.

* Sat Aug  8 1998 Jeff Johnson <jbj@redhat.com>
- autmagically create /etc/named.conf from /etc/named.boot in %post
- remove echo in %post

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in 5.1 mods

* Sun Apr 12 1998 Manuel J. Galan <manolow@step.es>
- Several essential modifications to build and install correctly.
- Modified 'ndc' to avoid deprecated use of '-'

* Mon Dec 22 1997 Scott Lampert <fortunato@heavymetal.org>
- Used buildroot
- patched bin/named/ns_udp.c to use <libelf/nlist.h> for include
  on Redhat 5.0 instead of <nlist.h>

